// LoopPaint main application class for LoopPaint lab
// This file is modified by lab stucdents

// (c) J. Dean Brock, Rebecca F. Bruce, 2001, 2003, 2004
// Department of Computer Science
// University of North Carolina at Asheville

// Derived from UNCA CSCI 201 Funky lab
// (c) J. Dean Brock, 1998

// Your name goes here ==>

import  edu.unca.cs.csci201.LabAids.Switcher ;
import  edu.unca.cs.csci201.LabAids.SpecLoopPaint ;
import  edu.unca.cs.csci201.LabAids.FrameLoopPaint ;

import  java.util.ArrayList ;
import  java.awt.event.* ;

/**
 * Application class for the LoopPaint lab.
 * <B>Students modify this file.</B>
 */
public class LoopPaint
{
    
    // Change window name here
    private static final String labName = "Loop Paint" ;
    
    /**
     * The Main entry point
     * @param args Ignored
     */
    public static void main(String[] args) {
        
        edu.unca.cs.csci201.LabAids.FrameLoopPaint testWindow = 
                new edu.unca.cs.csci201.LabAids.FrameLoopPaint(labName, 750, 500) ;
        
        // This is where the Painters are added
        testWindow.addPainter(new MyClass1()) ;
        testWindow.addPainter(new MyClass2()) ;
        testWindow.addPainter(new MyClass3()) ;
        testWindow.addPainter(new MyClass4()) ;
        testWindow.addPainter(new MyClass5()) ;
        
    }
    
    
    // Here are the classes that you need to modify
    static class MyClass1 implements SpecLoopPaint {
        
        public int  size() { return 100 ; }
        
        public void TestFunc(Switcher P) {
            P.TurnOn(15) ;
            P.TurnOn(23) ;
            P.TurnOn(87) ;
            P.TurnOn(93) ;
        }
    }

    static class MyClass2 implements SpecLoopPaint {

        public int size()  { return 15*17 ; }
        
        public void TestFunc(Switcher P) {
            for (int i=0; i<15*17; i += 7)
                P.TurnOn(i) ;
        }
    }
    
    static class MyClass3 implements SpecLoopPaint {
        
        public int  size() { return 100 ; }
        
        public void TestFunc(Switcher P) {
            int[] tooSmall = new int[10] ;
            if (tooSmall[17] == 13)
                P.TurnOn(17) ;
        }
    }


    static class MyClass4 implements SpecLoopPaint {
        
        public int  size() { return 300 ; }
        
        public void TestFunc(Switcher P) {
            P.TurnOn(4) ;
            P.TurnOn(396) ;
        }
    }
    
    static class MyClass5 implements SpecLoopPaint {
        
        public int  size() { return 300 ; }
        
        public void TestFunc(Switcher P) {
            for (int i=0; i!= 15; i += 4)
                P.TurnOn(100+i%100) ;
        }
    }
}
